# V3IncidentsIncidentResponse

Represents an incident.

## Fields

| Field                                           | Type                                                                                                                                           | Required             | Description                             |
| ----------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- | -------------------- | --------------------------------------- |
| `id`                                            | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `service_id`                                    | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `alert_source_id`                               | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `organization_id`                               | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `slo_id`                                        | *Optional\[int]*                                                                                                                               | :heavy\_minus\_sign: | N/A                                     |
| `incident_number`                               | *int*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `message`                                       | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `assigned_to`                                   | List\[[models.V3IncidentsAssignedTo](/python-sdk/docs/models/v3incidentsassignedto.md)]                                                        | :heavy\_check\_mark: | N/A                                     |
| `additional_responders`                         | List\[[models.V3IncidentsAdditionalResponderDetails](/python-sdk/docs/models/v3incidentsadditionalresponderdetails.md)]                        | :heavy\_check\_mark: | N/A                                     |
| `description`                                   | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `status`                                        | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `time_of_creation`                              | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                                                           | :heavy\_check\_mark: | N/A                                     |
| `updated_at`                                    | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                                                           | :heavy\_check\_mark: | N/A                                     |
| `last_acknowledged_at`                          | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                                                           | :heavy\_minus\_sign: | N/A                                     |
| `tags`                                          | [models.V3IncidentsIncidentResponseTags](/python-sdk/docs/models/v3incidentsincidentresponsetags.md)                                           | :heavy\_check\_mark: | N/A                                     |
| `logs`                                          | List\[[models.V3IncidentsLogs](/python-sdk/docs/models/v3incidentslogs.md)]                                                                    | :heavy\_check\_mark: | N/A                                     |
| `analytics`                                     | [models.V3IncidentsAnalytics](/python-sdk/docs/models/v3incidentsanalytics.md)                                                                 | :heavy\_check\_mark: | Incident analytics data.                |
| `pinned_messages`                               | List\[[models.V3IncidentsPinnedMessage](/python-sdk/docs/models/v3incidentspinnedmessage.md)]                                                  | :heavy\_check\_mark: | N/A                                     |
| `created_by`                                    | *Optional\[str]*                                                                                                                               | :heavy\_minus\_sign: | N/A                                     |
| `sender_email`                                  | *Optional\[str]*                                                                                                                               | :heavy\_minus\_sign: | N/A                                     |
| `deleted`                                       | *bool*                                                                                                                                         | :heavy\_check\_mark: | N/A                                     |
| `event_count`                                   | *int*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `dedup_data`                                    | [models.V3IncidentsDedupData](/python-sdk/docs/models/v3incidentsdedupdata.md)                                                                 | :heavy\_check\_mark: | Deduplication data for an incident.     |
| `owner`                                         | [models.CommonV3RBACOwner](/python-sdk/docs/models/commonv3rbacowner.md)                                                                       | :heavy\_check\_mark: | Represents the RBAC owner of an entity. |
| `access_control`                                | List\[[models.CommonV3RBACEntityPermission](/python-sdk/docs/models/commonv3rbacentitypermission.md)]                                          | :heavy\_check\_mark: | N/A                                     |
| `relevant_users`                                | List\[*str*]                                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `relevant_escalation_policies`                  | List\[*str*]                                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `relevant_squads`                               | List\[*str*]                                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `relevant_schedules`                            | List\[*str*]                                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `relevant_people_logs`                          | List\[[models.V3IncidentsRelevantPeopleLog](/python-sdk/docs/models/v3incidentsrelevantpeoplelog.md)]                                          | :heavy\_check\_mark: | N/A                                     |
| `response_notes`                                | List\[[models.V3IncidentsResponseNote](/python-sdk/docs/models/v3incidentsresponsenote.md)]                                                    | :heavy\_check\_mark: | N/A                                     |
| `attachments`                                   | List\[*str*]                                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `retrigger_policy`                              | [OptionalNullable\[models.V3IncidentsIncidentResponseRetriggerPolicy\]](/python-sdk/docs/models/v3incidentsincidentresponseretriggerpolicy.md) | :heavy\_minus\_sign: | N/A                                     |
| `webform_id`                                    | *Optional\[int]*                                                                                                                               | :heavy\_minus\_sign: | N/A                                     |
| `webform_submission_id`                         | *Optional\[int]*                                                                                                                               | :heavy\_minus\_sign: | N/A                                     |
| `is_child`                                      | *bool*                                                                                                                                         | :heavy\_check\_mark: | N/A                                     |
| `parent`                                        | [Optional\[models.V3IncidentsMergeIncidentEntityReference\]](/python-sdk/docs/models/v3incidentsmergeincidententityreference.md)               | :heavy\_minus\_sign: | Reference to a merged incident entity.  |
| `children`                                      | List\[[models.V3IncidentsMergeIncidentEntityReference](/python-sdk/docs/models/v3incidentsmergeincidententityreference.md)]                    | :heavy\_check\_mark: | N/A                                     |
| `did_auto_pause`                                | *bool*                                                                                                                                         | :heavy\_check\_mark: | N/A                                     |
| `did_auto_pause_timeout`                        | *bool*                                                                                                                                         | :heavy\_check\_mark: | N/A                                     |
| `auto_pause_ends_at`                            | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                                                           | :heavy\_check\_mark: | N/A                                     |
| `manually_marked_transient_alert_feedback_type` | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `classification_id`                             | *int*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `grouped_alert_count`                           | *int*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |
| `priority`                                      | [Optional\[models.V3IncidentsIncidentPriority\]](/python-sdk/docs/models/v3incidentsincidentpriority.md)                                       | :heavy\_minus\_sign: | Represents the priority of an incident. |
| `has_priority`                                  | *bool*                                                                                                                                         | :heavy\_check\_mark: | N/A                                     |
| `snooze_details`                                | [models.V3IncidentsSnoozeDetails](/python-sdk/docs/models/v3incidentssnoozedetails.md)                                                         | :heavy\_check\_mark: | Details about incident snoozing.        |
| `did_notification_delay`                        | *bool*                                                                                                                                         | :heavy\_check\_mark: | N/A                                     |
| `notification_delay_policy`                     | [models.V3IncidentsNotificationDelayPolicy](/python-sdk/docs/models/v3incidentsnotificationdelaypolicy.md)                                     | :heavy\_check\_mark: | Policy for delaying notifications.      |
| `digest_id`                                     | *str*                                                                                                                                          | :heavy\_check\_mark: | N/A                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3incidentsincidentresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
